%define url_ver    %(echo %{version}|cut -d. -f1,2)

Name:           mate-terminal
Summary:        MATE terminal emulator
Version:        1.28.1
Release:        %mkrel 1
URL:            http://mate-desktop.org
License:        GPLv2+
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        org.pclinuxos.mate-terminal.policy
Source2:        mate-terminal-root.desktop
Patch0:         gnome-terminal-2.25.3-geometry.patch
Patch2:         mate-terminal-1.19.1-background.patch

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: mate-common >= 1.22.0
BuildRequires: xmllint
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(vte-2.91) >= 0.38
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-2.0) >= 2.25.12
BuildRequires: pkgconfig(sm) >= 1.0.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(dconf) >= 0.13.4
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%package root
Summary: root terminal for %name
Group: Graphical desktop/MATE
Requires: %name

%description root
Root terminal for %{name}

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static --disable-schemas-compile
%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*


install -Dm 0644 %SOURCE1 %buildroot/%{_datadir}/polkit-1/actions/org.pclinuxos.mate-terminal.policy
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/mate-terminal-root.desktop  
  
%__mkdir_p %{buildroot}%{_datadir}/mate-terminal/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_bindir}/mate-terminal.wrapper
%{_datadir}/mate-terminal/
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/metainfo/mate-terminal.appdata.xml
%{_datadir}/polkit-1/actions/org.pclinuxos.mate-terminal.policy

%files root
%{_datadir}/applications/mate-terminal-root.desktop

%files doc
%{_datadir}/help

%changelog
* Fri Feb 23 2024 tex - 1.28.1-1pclos2024
- new version

* Mon Feb 19 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Mon Aug 09 2021 tex - 1.26.0-2pclos2021
- fix rpm group for root terminal

* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version
